Package org.apache.catalina.filters

## Class Constants

- java.lang.Object
- - org.apache.catalina.filters.Constants

    public final class Constants
    extends java.lang.Object

Manifest constants for this Java package.

Author:
  Craig R. McClanahan

### Field Summary

Fields
`static java.lang.String` `CSRF_NONCE_REQUEST_ATTR_NAME` The request attribute key under which the current requests's CSRF nonce can be found.
`static java.lang.String` `CSRF_NONCE_REQUEST_PARAM` The name of the request parameter which carries CSRF nonces from the client to the server for validation.
`static java.lang.String` `CSRF_NONCE_REQUEST_PARAM_NAME_KEY` The servlet context attribute key under which the CSRF request parameter name can be found.
`static java.lang.String` `CSRF_NONCE_SESSION_ATTR_NAME` The session attribute key under which the CSRF nonce cache will be stored.
`static java.lang.String` `CSRF_REST_NONCE_HEADER_FETCH_VALUE`
`static java.lang.String` `CSRF_REST_NONCE_HEADER_NAME`
`static java.lang.String` `CSRF_REST_NONCE_HEADER_NAME_KEY` The servlet context attribute key under which the CSRF REST header name can be found.
`static java.lang.String` `CSRF_REST_NONCE_HEADER_REQUIRED_VALUE`
`static java.lang.String` `CSRF_REST_NONCE_SESSION_ATTR_NAME` The session attribute key under which the CSRF REST nonce cache will be stored.
`static java.lang.String` `METHOD_GET`

### Constructor Summary

Constructors
`Constants()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CSRF_NONCE_SESSION_ATTR_NAME

    public static final java.lang.String CSRF_NONCE_SESSION_ATTR_NAME

The session attribute key under which the CSRF nonce cache will be stored.

See Also:
  Constant Field Values

#### CSRF_NONCE_REQUEST_ATTR_NAME

    public static final java.lang.String CSRF_NONCE_REQUEST_ATTR_NAME

The request attribute key under which the current requests's CSRF nonce can be found.

See Also:
  Constant Field Values

#### CSRF_NONCE_REQUEST_PARAM

    public static final java.lang.String CSRF_NONCE_REQUEST_PARAM

The name of the request parameter which carries CSRF nonces from the client to the server for validation.

See Also:
  Constant Field Values

#### CSRF_NONCE_REQUEST_PARAM_NAME_KEY

    public static final java.lang.String CSRF_NONCE_REQUEST_PARAM_NAME_KEY

The servlet context attribute key under which the CSRF request parameter name can be found.

See Also:
  Constant Field Values

#### METHOD_GET

    public static final java.lang.String METHOD_GET

See Also:
  Constant Field Values

#### CSRF_REST_NONCE_HEADER_NAME

    public static final java.lang.String CSRF_REST_NONCE_HEADER_NAME

See Also:
  Constant Field Values

#### CSRF_REST_NONCE_HEADER_FETCH_VALUE

    public static final java.lang.String CSRF_REST_NONCE_HEADER_FETCH_VALUE

See Also:
  Constant Field Values

#### CSRF_REST_NONCE_HEADER_REQUIRED_VALUE

    public static final java.lang.String CSRF_REST_NONCE_HEADER_REQUIRED_VALUE

See Also:
  Constant Field Values

#### CSRF_REST_NONCE_SESSION_ATTR_NAME

    public static final java.lang.String CSRF_REST_NONCE_SESSION_ATTR_NAME

The session attribute key under which the CSRF REST nonce cache will be stored.

See Also:
  Constant Field Values

#### CSRF_REST_NONCE_HEADER_NAME_KEY

    public static final java.lang.String CSRF_REST_NONCE_HEADER_NAME_KEY

The servlet context attribute key under which the CSRF REST header name can be found.

See Also:
  Constant Field Values

### Constructor Detail

#### Constants

    public Constants()